//
//  SFSymbols+multicolorSymbols.swift
//
//  Created by littleossa
//
//  enjoy!

import Foundation

extension SFSymbols {
    
    public static var multicolorSymbols: [SFSymbols] {
        var multicolorSymbols = [SFSymbols]()
        
        if #available(iOS 13.0, macOS 11.0, macCatalyst 13.0, tvOS 13.0, watchOS 6.0, *) {
            multicolorSymbols += SFSymbols.availableMulticolorSymbolsFromSFSymbols1
        }
        if #available(iOS 14.0, macOS 11.0, macCatalyst 14.0, tvOS 14.0, watchOS 7.0, *) {
            multicolorSymbols += SFSymbols.availableMulticolorSymbolsFromSFSymbols2
        }
        if #available(iOS 14.2, macOS 11.0, macCatalyst 14.2, tvOS 14.2, watchOS 7.1, *) {
            multicolorSymbols += SFSymbols.availableMulticolorSymbolsFromSFSymbols2_1
        }
        if #available(iOS 15.0, macOS 12.0, macCatalyst 15.0, tvOS 15.0, watchOS 8.0, *) {
            multicolorSymbols += SFSymbols.availableMulticolorSymbolsFromSFSymbols3
        }
        
        return multicolorSymbols
    }
    
    @available(iOS 13.0, macOS 11.0, macCatalyst 13.0, tvOS 13.0, watchOS 6.0, *)
    private static var availableMulticolorSymbolsFromSFSymbols1: [SFSymbols] {
        [.pencilCircleFill, .pencilTipCropCircleBadgePlus, .pencilTipCropCircleBadgeMinus, .trash, .trashFill, .trashCircle, .trashCircleFill, .trashSlash, .trashSlashFill, .folder, .folderFill, .folderCircle, .folderCircleFill, .folderBadgePlus, .folderFillBadgePlus, .folderBadgeMinus, .folderFillBadgeMinus, .docCircleFill, .calendar, .calendarCircle, .calendarCircleFill, .calendarBadgePlus, .calendarBadgeMinus, .arrowshapeTurnUpLeftCircleFill, .arrowshapeTurnUpRightCircleFill, .bookCircleFill, .bookmark, .bookmarkFill, .paperclip, .link, .linkCircle, .linkCircleFill, .personCircleFill, .personBadgePlus, .personBadgeMinus, .personCropCircleFill, .personCropCircleBadgePlus, .personCropCircleFillBadgePlus, .personCropCircleBadgeMinus, .personCropCircleFillBadgeMinus, .personCropCircleBadgeCheckmark, .personCropCircleFillBadgeCheckmark, .personCropCircleBadgeXmark, .personCropCircleFillBadgeXmark, .clear, .clearFill, .deleteLeft, .deleteLeftFill, .deleteRight, .deleteRightFill, .sunMaxFill, .sunriseFill, .sunsetFill, .sunDustFill, .sunHazeFill, .moonFill, .moonCircleFill, .sparkles, .moonStarsFill, .cloudFill, .cloudDrizzleFill, .cloudRainFill, .cloudHeavyrainFill, .cloudFogFill, .cloudHailFill, .cloudSnowFill, .cloudSleetFill, .cloudBoltFill, .cloudBoltRainFill, .cloudSunFill, .cloudSunRainFill, .cloudSunBoltFill, .cloudMoonFill, .cloudMoonRainFill, .cloudMoonBoltFill, .smokeFill, .wind, .windSnow, .tornado, .tropicalstorm, .hurricane, .thermometerSnowflake, .thermometer, .exclamationmarkTriangleFill, .dropTriangleFill, .playCircleFill, .pauseCircleFill, .stopCircleFill, .memoriesBadgePlus, .memoriesBadgeMinus, .badgePlusRadiowavesRight, .magnifyingglassCircleFill, .mic, .micFill, .micCircle, .micCircleFill, .smallcircleCircleFill, .suitHeart, .suitHeartFill, .suitClub, .suitClubFill, .suitSpade, .suitSpadeFill, .suitDiamond, .suitDiamondFill, .heart, .heartFill, .heartCircle, .heartCircleFill, .heartSlashCircleFill, .star, .starFill, .starCircle, .starCircleFill, .flag, .flagFill, .flagCircle, .flagCircleFill, .location, .locationFill, .locationCircle, .locationCircleFill, .locationNorth, .locationNorthFill, .locationNorthLine, .locationNorthLineFill, .bell, .bellFill, .bellCircle, .bellCircleFill, .tagCircleFill, .boltFill, .boltCircle, .boltCircleFill, .boltHorizontalCircleFill, .icloudFill, .icloudCircle, .icloudCircleFill, .cameraCircleFill, .message, .messageFill, .messageCircle, .messageCircleFill, .phone, .phoneFill, .phoneCircle, .phoneCircleFill, .phoneBadgePlus, .phoneFillBadgePlus, .phoneDown, .phoneDownFill, .phoneDownCircle, .phoneDownCircleFill, .teletype, .teletypeAnswer, .video, .videoFill, .videoCircle, .videoCircleFill, .videoBadgePlus, .envelopeCircleFill, .gear, .ellipsisCircleFill, .bagBadgePlus, .bagFillBadgePlus, .bagBadgeMinus, .bagFillBadgeMinus, .cartBadgePlus, .cartFillBadgePlus, .cartBadgeMinus, .cartFillBadgeMinus, .gaugeBadgePlus, .gaugeBadgeMinus, .briefcase, .briefcaseFill, .houseFill, .lock, .lockFill, .lockCircle, .lockCircleFill, .wifi, .pin, .pinFill, .mappin, .mappinAndEllipse, .tvCircleFill, .antennaRadiowavesLeftAndRight, .carFill, .bedDouble, .bedDoubleFill, .antCircleFill, .viewfinderCircleFill, .faceid, .rectangleBadgeCheckmark, .rectangleFillBadgeCheckmark, .rectangleBadgeXmark, .rectangleFillBadgeXmark, .rectangleStackBadgePlus, .rectangleStackFillBadgePlus, .rectangleStackBadgeMinus, .rectangleStackFillBadgeMinus, .macwindow, .clock, .alarm, .stopwatch, .timer, .ear, .handRaised, .handRaisedFill, .waveformPathBadgePlus, .waveformPathBadgeMinus, .waveformCircleFill, .gift, .giftFill, .appBadge, .appBadgeFill, .hourglass, .purchasedCircleFill, .gridCircleFill, .battery100, .battery25, .listDash, .listBullet, .listBulletIndent, .listNumber, .increaseIndent, .decreaseIndent, .decreaseQuotelevel, .increaseQuotelevel, .textBadgePlus, .textBadgeMinus, .textBadgeCheckmark, .textBadgeXmark, .textBadgeStar, .textformatAbcDottedunderline, .bold, .italic, .underline, .strikethrough, .boldItalicUnderline, .boldUnderline, .fCursiveCircleFill, .info, .infoCircle, .infoCircleFill, .at, .atBadgePlus, .atBadgeMinus, .questionmark, .questionmarkCircle, .questionmarkCircleFill, .questionmarkSquare, .questionmarkSquareFill, .questionmarkDiamond, .questionmarkDiamondFill, .exclamationmark, .exclamationmarkCircle, .exclamationmarkCircleFill, .exclamationmarkSquare, .exclamationmarkSquareFill, .exclamationmarkOctagon, .exclamationmarkOctagonFill, .plus, .plusCircle, .plusCircleFill, .plusSquare, .plusSquareFill, .plusRectangle, .plusRectangleFill, .minus, .minusCircle, .minusCircleFill, .minusSquare, .minusSquareFill, .minusRectangle, .minusRectangleFill, .plusminusCircleFill, .multiplyCircleFill, .xmarkOctagon, .xmarkOctagonFill, .divideCircleFill, .equalCircleFill, .lessthanCircleFill, .greaterthanCircleFill, .numberCircleFill, .xmark, .xmarkCircle, .xmarkCircleFill, .xmarkSquare, .xmarkSquareFill, .checkmark, .checkmarkCircle, .checkmarkCircleFill, .checkmarkSquare, .checkmarkSquareFill, .chevronLeftCircleFill, .chevronRightCircleFill, .chevronUpCircleFill, .chevronDownCircleFill, .arrowLeftCircleFill, .arrowRightCircleFill, .arrowUpCircleFill, .arrowDownCircleFill, .arrowUpLeftCircleFill, .arrowUpRightCircleFill, .arrowDownLeftCircleFill, .arrowDownRightCircleFill, .arrowUpArrowDownCircleFill, .arrowUturnLeftCircleFill, .arrowUturnRightCircleFill, .arrowUturnUpCircleFill, .arrowUturnDownCircleFill, .arrowLeftAndRightCircleFill, .arrowUpAndDownCircleFill, .arrowClockwiseCircleFill, .arrowCounterclockwiseCircleFill, .arrowtriangleLeftCircleFill, .arrowtriangleRightCircleFill, .arrowtriangleUpCircleFill, .arrowtriangleDownCircleFill, .slashCircleFill, .asteriskCircleFill, .aCircleFill, .aSquareFill, .bCircleFill, .bSquareFill, .cCircleFill, .cSquareFill, .dCircleFill, .dSquareFill, .eCircleFill, .eSquareFill, .fCircleFill, .fSquareFill, .gCircleFill, .gSquareFill, .hCircleFill, .hSquareFill, .iCircleFill, .iSquareFill, .jCircleFill, .jSquareFill, .kCircleFill, .kSquareFill, .lCircleFill, .lSquareFill, .mCircleFill, .mSquareFill, .nCircleFill, .nSquareFill, .oCircleFill, .oSquareFill, .pCircleFill, .pSquareFill, .qCircleFill, .qSquareFill, .rCircleFill, .rSquareFill, .sCircleFill, .sSquareFill, .tCircleFill, .tSquareFill, .uCircleFill, .uSquareFill, .vCircleFill, .vSquareFill, .wCircleFill, .wSquareFill, .xCircleFill, .xSquareFill, .yCircleFill, .ySquareFill, .zCircleFill, .zSquareFill, .dollarsignCircleFill, .dollarsignSquareFill, .centsignCircleFill, .centsignSquareFill, .yensignCircleFill, .yensignSquareFill, .sterlingsignCircleFill, .sterlingsignSquareFill, .francsignCircleFill, .francsignSquareFill, .florinsignCircleFill, .florinsignSquareFill, .turkishlirasignCircleFill, .turkishlirasignSquareFill, .rublesignCircleFill, .rublesignSquareFill, .eurosignCircleFill, .eurosignSquareFill, .dongsignCircleFill, .dongsignSquareFill, .indianrupeesignCircleFill, .indianrupeesignSquareFill, .tengesignCircleFill, .tengesignSquareFill, .pesetasignCircleFill, .pesetasignSquareFill, .pesosignCircleFill, .pesosignSquareFill, .kipsignCircleFill, .kipsignSquareFill, .wonsignCircleFill, .wonsignSquareFill, .lirasignCircleFill, .lirasignSquareFill, .australsignCircleFill, .australsignSquareFill, .hryvniasignCircleFill, .hryvniasignSquareFill, .nairasignCircleFill, .nairasignSquareFill, .guaranisignCircleFill, .guaranisignSquareFill, .coloncurrencysignCircleFill, .coloncurrencysignSquareFill, .cedisignCircleFill, .cedisignSquareFill, .cruzeirosignCircleFill, .cruzeirosignSquareFill, .tugriksignCircleFill, .tugriksignSquareFill, .millsignCircleFill, .millsignSquareFill, .manatsignCircleFill, .manatsignSquareFill, .rupeesignCircleFill, .rupeesignSquareFill, .bahtsignCircleFill, .bahtsignSquareFill, .larisignCircleFill, .larisignSquareFill, .bitcoinsignCircleFill, .bitcoinsignSquareFill, ._0CircleFill, ._0SquareFill, ._1CircleFill, ._1SquareFill, ._2CircleFill, ._2SquareFill, ._3CircleFill, ._3SquareFill, ._4CircleFill, ._4SquareFill, ._4AltCircleFill, ._4AltSquareFill, ._5CircleFill, ._5SquareFill, ._6CircleFill, ._6SquareFill, ._6AltCircleFill, ._6AltSquareFill, ._7CircleFill, ._7SquareFill, ._8CircleFill, ._8SquareFill, ._9CircleFill, ._9SquareFill, ._9AltCircleFill, ._9AltSquareFill, ._00CircleFill, ._00SquareFill, ._01CircleFill, ._01SquareFill, ._02CircleFill, ._02SquareFill, ._03CircleFill, ._03SquareFill, ._04CircleFill, ._04SquareFill, ._05CircleFill, ._05SquareFill, ._06CircleFill, ._06SquareFill, ._07CircleFill, ._07SquareFill, ._08CircleFill, ._08SquareFill, ._09CircleFill, ._09SquareFill, ._10CircleFill, ._10SquareFill, ._11CircleFill, ._11SquareFill, ._12CircleFill, ._12SquareFill, ._13CircleFill, ._13SquareFill, ._14CircleFill, ._14SquareFill, ._15CircleFill, ._15SquareFill, ._16CircleFill, ._16SquareFill, ._17CircleFill, ._17SquareFill, ._18CircleFill, ._18SquareFill, ._19CircleFill, ._19SquareFill, ._20CircleFill, ._20SquareFill, ._21CircleFill, ._21SquareFill, ._22CircleFill, ._22SquareFill, ._23CircleFill, ._23SquareFill, ._24CircleFill, ._24SquareFill, ._25CircleFill, ._25SquareFill, ._26CircleFill, ._26SquareFill, ._27CircleFill, ._27SquareFill, ._28CircleFill, ._28SquareFill, ._29CircleFill, ._29SquareFill, ._30CircleFill, ._30SquareFill, ._31CircleFill, ._31SquareFill, ._32CircleFill, ._32SquareFill, ._33CircleFill, ._33SquareFill, ._34CircleFill, ._34SquareFill, ._35CircleFill, ._35SquareFill, ._36CircleFill, ._36SquareFill, ._37CircleFill, ._37SquareFill, ._38CircleFill, ._38SquareFill, ._39CircleFill, ._39SquareFill, ._40CircleFill, ._40SquareFill, ._41CircleFill, ._41SquareFill, ._42CircleFill, ._42SquareFill, ._43CircleFill, ._43SquareFill, ._44CircleFill, ._44SquareFill, ._45CircleFill, ._45SquareFill, ._46CircleFill, ._46SquareFill, ._47CircleFill, ._47SquareFill, ._48CircleFill, ._48SquareFill, ._49CircleFill, ._49SquareFill, ._50CircleFill, ._50SquareFill]
    }
    
    @available(iOS 14.0, macOS 11.0, macCatalyst 14.0, tvOS 14.0, watchOS 7.0, *)
    private static var availableMulticolorSymbolsFromSFSymbols2: [SFSymbols] {
        [.folderBadgeQuestionmark, .folderFillBadgeQuestionmark, .squareGrid3X1FolderBadgePlus, .squareGrid3X1FolderFillBadgePlus, .paperplaneCircleFill, .trayCircleFill, .externaldriveBadgePlus, .externaldriveFillBadgePlus, .externaldriveBadgeMinus, .externaldriveFillBadgeMinus, .externaldriveBadgeCheckmark, .externaldriveFillBadgeCheckmark, .externaldriveBadgeXmark, .externaldriveFillBadgeXmark, .externaldriveBadgeWifi, .externaldriveFillBadgeWifi, .archiveboxCircleFill, .xmarkBinCircleFill, .docBadgePlus, .docFillBadgePlus, .noteTextBadgePlus, .calendarBadgeClock, .calendarBadgeExclamationmark, .arrowshapeTurnUpBackwardCircleFill, .arrowshapeTurnUpForwardCircleFill, .arrowshapeTurnUpLeft2CircleFill, .arrowshapeTurnUpBackward2CircleFill, .bookmarkCircle, .bookmarkCircleFill, .bookmarkSlash, .bookmarkSlashFill, .paperclipCircle, .paperclipCircleFill, .linkBadgePlus, .personFillBadgePlus, .personFillBadgeMinus, .person2CircleFill, .personCropCircleBadgeQuestionmark, .personCropCircleBadgeExclamationmark, .commandCircleFill, .network, .sparkle, .thermometerSunFill, .filemenuAndSelection, .recordCircleFill, .ejectCircleFill, .speakerSlashCircleFill, .speakerWave2CircleFill, .badgePlusRadiowavesForward, .circlebadgeFill, .starSquare, .starSquareFill, .flagSlashCircleFill, .bellSlashCircleFill, .bellBadge, .bellBadgeFill, .boltSlashCircleFill, .eyeCircleFill, .teletypeCircle, .teletypeCircleFill, .videoFillBadgePlus, .videoBadgeCheckmark, .videoFillBadgeCheckmark, .bagCircleFill, .creditcardCircleFill, .stethoscope, .homekit, .houseCircle, .houseCircleFill, .building2CropCircleFill, .lockSquare, .lockSquareFill, .pinCircle, .pinCircleFill, .mappinCircle, .mappinCircleFill, .displayTrianglebadgeExclamationmark, .pc, .appsIphoneBadgePlus, .headphonesCircleFill, .wave3LeftCircleFill, .wave3BackwardCircleFill, .wave3RightCircleFill, .wave3ForwardCircleFill, .airplaneCircleFill, .carCircle, .carCircleFill, .boltCar, .boltCarFill, .tramCircleFill, .bicycleCircleFill, .lungs, .lungsFill, .pillsFill, .crossCircleFill, .ladybugFill, .leaf, .leafFill, .rectangleBadgePlus, .rectangleFillBadgePlus, .rectangleBadgeMinus, .rectangleFillBadgeMinus, .macwindowBadgePlus, .circleCircleFill, .squareCircleFill, .triangleCircleFill, .paintpalette, .paintpaletteFill, .figureWalkCircleFill, .figureWaveCircleFill, .earBadgeCheckmark, .earTrianglebadgeExclamationmark, .earFill, .waveformPathEcgRectangle, .staroflifeCircleFill, .touchid, .bonjour, .giftCircle, .giftCircleFill, .hourglassBadgePlus, .battery100Bolt, .listTriangle, .listStar, .shadow, .atCircle, .atCircleFill, .exclamationmark2, .exclamationmark3, .plusRectanglePortrait, .plusRectanglePortraitFill, .plusDiamond, .plusDiamondFill, .minusRectanglePortrait, .minusRectanglePortraitFill, .minusDiamond, .minusDiamondFill, .chevronBackwardCircleFill, .chevronForwardCircleFill, .arrowForwardCircleFill, .arrowUpBackwardCircleFill, .arrowUpForwardCircleFill, .arrowDownBackwardCircleFill, .arrowDownForwardCircleFill, .arrowLeftArrowRightCircleFill, .arrowUturnBackwardCircleFill, .arrowUturnForwardCircleFill, .arrowUpLeftAndArrowDownRightCircleFill, .arrowUpBackwardAndArrowDownForwardCircleFill, .arrowDownRightAndArrowUpLeftCircleFill, .arrowDownForwardAndArrowUpBackwardCircleFill, .arrowTriangle2CirclepathCircleFill, .arrowTriangleTurnUpRightCircleFill, .arrowtriangleBackwardCircleFill, .arrowtriangleForwardCircleFill, .shekelsignCircleFill, .shekelsignSquareFill]
    }
    
    @available(iOS 14.2, macOS 11.0, macCatalyst 14.2, tvOS 14.2, watchOS 7.1, *)
    private static var availableMulticolorSymbolsFromSFSymbols2_1: [SFSymbols] {
        [.aqiHigh, .shuffleCircleFill, .repeatCircleFill, .repeat1CircleFill, .infinityCircleFill, .cartCircleFill, .brazilianrealsignCircleFill, .brazilianrealsignSquareFill]
    }
    
    @available(iOS 15.0, macOS 12.0, macCatalyst 15.0, tvOS 15.0, watchOS 8.0, *)
    private static var availableMulticolorSymbolsFromSFSymbols3: [SFSymbols] {
        [.squareAndArrowUpTrianglebadgeExclamationmark, .trashSquare, .trashSquareFill, .trashSlashCircle, .trashSlashCircleFill, .trashSlashSquare, .trashSlashSquareFill, .calendarDayTimelineLeft, .calendarDayTimelineRight, .calendarDayTimelineLeading, .calendarDayTimelineTrailing, .bookmarkSquare, .bookmarkSquareFill, .personCropCircleBadgeQuestionmarkFill, .personCropCircleBadgeExclamationmarkFill, .deleteBackward, .deleteBackwardFill, .deleteForward, .deleteForwardFill, .restartCircleFill, .sleepCircleFill, .wakeCircleFill, .powerCircleFill, .sunMaxCircleFill, .sunAndHorizonFill, .snowflake, .circleGrid3X3CircleFill, .circleHexagongridFill, .circleHexagongridCircleFill, .backwardCircleFill, .forwardCircleFill, .speakerCircleFill, .speakerBadgeExclamationmark, .speakerBadgeExclamationmarkFill, .musicMicCircleFill, .micSquare, .micSquareFill, .micSlashCircleFill, .micBadgePlus, .micFillBadgePlus, .smallcircleFilledCircleFill, .rectangleCenterInsetFilledBadgePlus, .rectangleOnRectangleCircleFill, .rectangleOnRectangleSlashCircleFill, .heartSquare, .heartSquareFill, .heartRectangle, .heartRectangleFill, .flagSquare, .flagSquareFill, .locationSquare, .locationSquareFill, .locationNorthCircle, .locationNorthCircleFill, .bellSquare, .bellSquareFill, .bellBadgeCircle, .bellBadgeCircleFill, .boltSquare, .boltSquareFill, .eyeSlashCircleFill, .eyeTrianglebadgeExclamationmark, .eyeTrianglebadgeExclamationmarkFill, .icloudSquare, .icloudSquareFill, .teletypeAnswerCircle, .teletypeAnswerCircleFill, .videoSquare, .videoSquareFill, .gearCircle, .gearCircleFill, .gearBadgeCheckmark, .gearBadgeXmark, .gearBadgeQuestionmark, .gearshapeCircleFill, .creditcardTrianglebadgeExclamationmark, .hammerCircleFill, .briefcaseCircle, .briefcaseCircleFill, .wifiCircle, .wifiCircleFill, .pinSquare, .pinSquareFill, .mappinSquare, .mappinSquareFill, .mapCircleFill, .desktopcomputerTrianglebadgeExclamationmark, .laptopcomputerTrianglebadgeExclamationmark, .airplayvideoCircleFill, .airplayvideoBadgeExclamationmark, .airplayaudioCircleFill, .airplayaudioBadgeExclamationmark, .antennaRadiowavesLeftAndRightCircle, .antennaRadiowavesLeftAndRightCircleFill, .boltCarCircle, .boltCarCircleFill, .parkingsignCircleFill, .fuelpumpCircleFill, .bedDoubleCircle, .bedDoubleCircleFill, .allergens, .testtube2, .ivfluidBag, .ivfluidBagFill, .crossVial, .leafCircle, .leafCircleFill, .filmCircleFill, .arkitBadgeXmark, .clockBadgeCheckmark, .clockBadgeCheckmarkFill, .clockBadgeExclamationmark, .clockBadgeExclamationmarkFill, .forkKnife, .forkKnifeCircle, .forkKnifeCircleFill, .handRaisedCircle, .handRaisedCircleFill, .handRaisedSquare, .handRaisedSquareFill, .handThumbsupCircleFill, .handThumbsdownCircleFill, .point3FilledConnectedTrianglepathDotted, .waveformBadgePlus, .waveformBadgeMinus, .waveformBadgeExclamationmark, .appBadgeCheckmark, .appBadgeCheckmarkFill, .hourglassCircle, .hourglassCircleFill, .hourglassBottomhalfFilled, .hourglassTophalfFilled, .battery75, .battery50, .listBulletCircleFill, .line3HorizontalDecreaseCircleFill, .line3HorizontalCircleFill, .line2HorizontalDecreaseCircleFill, .checkmarkCircleTrianglebadgeExclamationmark, .arrowUpToLineCircleFill, .arrowDownToLineCircleFill, .arrowLeftToLineCircleFill, .arrowBackwardToLineCircleFill, .arrowRightToLineCircleFill, .arrowForwardToLineCircleFill]
    }
}
